Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024152
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementcriticalalways2013-06-21 11:222013-06-25 17:27
ReportermaiteView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchFixed in SCM revision2a28b85b9f20
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - QA Approved
Regression date2013-05-06
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/8113618afb03 [^]
Triggers an Emergency PackNo
Summary

0024152: Exception obtained when running "Modify Payment Plan" process

DescriptionERROR org.openbravo.advpaymentmngt.actionHandler.ModifyPaymentPlanActionHandler - Exception! java.lang.Exception is registered in openbravo.log after run process
Steps To Reproduce1. Log in as System Administrator and Display field "Modify Payment Plan", located in "Payment Plan" tab in "Sales Invoice" window
2. Access Payment Plan tab of any Completed but not paid sales invoice and run "Modify Payment Plan" process. Make any modification and try to submit. "Process failed during execution" error will be obtained
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059631)
hgbot (developer)
2013-06-24 11:27

Repository: erp/devel/pi
Changeset: 2a28b85b9f20ef4da784ea714dc2c2121c0dbb8f
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jun 24 11:23:54 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2a28b85b9f20ef4da784ea714dc2c2121c0dbb8f [^]

Fixes issue 24152: P&E grid rows are sent to the Java Process

In a P&E grid, if all the grid records are cached they will be sent to the server (there are some java processes that need to access all the records). To check if all the records were cached we used to check grid.data.cachedRow, but that does not work always. Now to check this we compare the number of cached rows with the resultSize property of the data. If the number of cached rows is lower than the resultSize property (maximum number of rows that will be fetched in each datasource call), that means that there are no more records pending to be cached.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0059650)
hudsonbot (developer)
2013-06-24 19:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ceea5be911f3 [^]

Maturity status: Test
(0059664)
shankarb (developer)
2013-06-25 17:27

Code reviewed and tested in pi changeset e7fbca34eb42

- Issue History
Date Modified Username Field Change
2013-06-21 11:22 maite New Issue
2013-06-21 11:22 maite Assigned To => dmiguelez
2013-06-21 11:22 maite Modules => Advanced Payables and Receivables Mngmt
2013-06-21 11:22 maite Triggers an Emergency Pack => No
2013-06-21 11:42 heccam Issue Monitored: heccam
2013-06-21 12:56 AugustoMauch Assigned To dmiguelez => AugustoMauch
2013-06-21 12:57 AugustoMauch Regression level => Production - QA Approved
2013-06-21 12:57 AugustoMauch Regression date => 2013-05-06
2013-06-21 12:57 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/8113618afb03 [^]
2013-06-21 12:57 AugustoMauch Severity major => critical
2013-06-24 11:19 AugustoMauch Issue Monitored: shankarb
2013-06-24 11:19 AugustoMauch Review Assigned To => shankarb
2013-06-24 11:27 hgbot Checkin
2013-06-24 11:27 hgbot Note Added: 0059631
2013-06-24 11:27 hgbot Status new => resolved
2013-06-24 11:27 hgbot Resolution open => fixed
2013-06-24 11:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2a28b85b9f20ef4da784ea714dc2c2121c0dbb8f [^]
2013-06-24 19:59 hudsonbot Checkin
2013-06-24 19:59 hudsonbot Note Added: 0059650
2013-06-25 17:27 shankarb Note Added: 0059664
2013-06-25 17:27 shankarb Status resolved => closed
2013-06-25 17:27 shankarb Fixed in Version => 3.0MP24


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker